USN-5704-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-5704-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-5704-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-5704-1
Related
Published
2022-10-27T13:00:09.544975Z
Modified
2022-10-27T13:00:09.544975Z
Summary
dbus vulnerabilities
Details

It was discovered that DBus incorrectly handled messages with invalid type signatures. A local attacker could possibly use this issue to cause DBus to crash, resulting in a denial of service. (CVE-2022-42010)

It was discovered that DBus was incorrectly validating the length of arrays of fixed-length items. A local attacker could possibly use this issue to cause DBus to crash, resulting in a denial of service. (CVE-2022-42011)

It was discovered that DBus incorrectly handled the body DBus message with attached file descriptors. A local attacker could possibly use this issue to cause DBus to crash, resulting in a denial of service. (CVE-2022-42012)

References

Affected packages

Ubuntu:Pro:14.04:LTS / dbus

Package

Name
dbus

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.6.18-0ubuntu4.5+esm3

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "dbus-1-doc": "1.6.18-0ubuntu4.5+esm3",
            "libdbus-1-3": "1.6.18-0ubuntu4.5+esm3",
            "dbus": "1.6.18-0ubuntu4.5+esm3",
            "dbus-x11": "1.6.18-0ubuntu4.5+esm3",
            "libdbus-1-dev": "1.6.18-0ubuntu4.5+esm3"
        }
    ]
}

Ubuntu:22.04:LTS / dbus

Package

Name
dbus

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.12.20-2ubuntu4.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "dbus-1-doc": "1.12.20-2ubuntu4.1",
            "libdbus-1-3": "1.12.20-2ubuntu4.1",
            "dbus-tests": "1.12.20-2ubuntu4.1",
            "dbus": "1.12.20-2ubuntu4.1",
            "dbus-x11": "1.12.20-2ubuntu4.1",
            "libdbus-1-dev": "1.12.20-2ubuntu4.1",
            "dbus-user-session": "1.12.20-2ubuntu4.1"
        }
    ]
}

Ubuntu:Pro:16.04:LTS / dbus

Package

Name
dbus

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.10.6-1ubuntu3.6+esm2

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "dbus-1-doc": "1.10.6-1ubuntu3.6+esm2",
            "libdbus-1-3": "1.10.6-1ubuntu3.6+esm2",
            "dbus-tests": "1.10.6-1ubuntu3.6+esm2",
            "dbus": "1.10.6-1ubuntu3.6+esm2",
            "dbus-x11": "1.10.6-1ubuntu3.6+esm2",
            "libdbus-1-dev": "1.10.6-1ubuntu3.6+esm2",
            "dbus-user-session": "1.10.6-1ubuntu3.6+esm2"
        }
    ]
}

Ubuntu:18.04:LTS / dbus

Package

Name
dbus

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.12.2-1ubuntu1.4

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "dbus-1-doc": "1.12.2-1ubuntu1.4",
            "libdbus-1-3": "1.12.2-1ubuntu1.4",
            "dbus-tests": "1.12.2-1ubuntu1.4",
            "dbus": "1.12.2-1ubuntu1.4",
            "dbus-x11": "1.12.2-1ubuntu1.4",
            "libdbus-1-dev": "1.12.2-1ubuntu1.4",
            "dbus-user-session": "1.12.2-1ubuntu1.4"
        }
    ]
}

Ubuntu:20.04:LTS / dbus

Package

Name
dbus

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.12.16-2ubuntu2.3

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "dbus-1-doc": "1.12.16-2ubuntu2.3",
            "libdbus-1-3": "1.12.16-2ubuntu2.3",
            "dbus-tests": "1.12.16-2ubuntu2.3",
            "dbus": "1.12.16-2ubuntu2.3",
            "dbus-x11": "1.12.16-2ubuntu2.3",
            "libdbus-1-dev": "1.12.16-2ubuntu2.3",
            "dbus-user-session": "1.12.16-2ubuntu2.3"
        }
    ]
}